Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.jpa
Class EntityApplicationStatePersistenceStrategy

    java.lang.Object
      org.apache.tapestry5.internal.services.SessionApplicationStatePersistenceStrategy
          org.apache.tapestry5.internal.jpa.EntityApplicationStatePersistenceStrategy

All Implemented Interfaces:
  ApplicationStatePersistenceStrategy

    public class EntityApplicationStatePersistenceStrategy

extends SessionApplicationStatePersistenceStrategy

Constructor Summary
`EntityApplicationStatePersistenceStrategy(Request request, EntityManagerManager entityManagerManager)`

Method Summary
`
`<T> T`
` | `get(java.lang.Class<T> ssoClass, ApplicationStateCreator<T> creator)` Gets the SSO from the domain.
`
`<T> void`
` | `set(java.lang.Class<T> ssoClass, T sso)` Stores a new SSO, possibly replacing the existing one.

Methods inherited from class org.apache.tapestry5.internal.services.SessionApplicationStatePersistenceStrategy
`buildKey, exists, getOrCreate, getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityApplicationStatePersistenceStrategy

    public EntityApplicationStatePersistenceStrategy(Request request,
                                                     EntityManagerManager entityManagerManager)

Method Detail

### get

    public <T> T get(java.lang.Class<T> ssoClass,
                     ApplicationStateCreator<T> creator)

  Description copied from interface: `ApplicationStatePersistenceStrategy`
  Gets the SSO from the domain. If the ASO does not already exist, it is created and stored, then returned.

  Specified by:
    `get` in interface `ApplicationStatePersistenceStrategy`
  Overrides:
    `get` in class `SessionApplicationStatePersistenceStrategy`

### set

    public <T> void set(java.lang.Class<T> ssoClass,
                        T sso)

  Description copied from interface: `ApplicationStatePersistenceStrategy`
  Stores a new SSO, possibly replacing the existing one.

  Specified by:
    `set` in interface `ApplicationStatePersistenceStrategy`
  Overrides:
    `set` in class `SessionApplicationStatePersistenceStrategy`
    `sso` - instance to store, or null to delete existing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.